ITSystem (CMDB Model API)
Keywords: com.collation.platform.model.topology.sys.ITSystem interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.sys
Interface ITSystem

All Superinterfaces:
  ConfigurationItem, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

All Known Subinterfaces:
  Application, BusinessSystem, SAPSystem, ServiceGroup, VCSLocalServiceGroup, VCSServiceGroup

    public interface ITSystem

extends LogicalElement, ConfigurationItem

Naming Rules:
  0="name" 1="containingSystem,name" 2="managedSystemName"
Persistable:
  true
Table Name:
  ITSYSTEM
Top Level:
  true
Display Name:
  name

Field Summary

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Fields inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`IBM_COPYRIGHT`

Method Summary
`ModelObject[]` | `getComponents()`
`java.lang.String` | `getContact()`
`ITSystem` | `getContainingSystem()` If this system is a part of a larger system, the containingSystem attribute shows the larger system of which this is a part.
`java.lang.String` | `getName()`
`java.lang.String` | `getURL()`
`boolean` | `hasComponents()`
`boolean` | `hasContact()`
`boolean` | `hasContainingSystem()`
`boolean` | `hasName()`
`boolean` | `hasURL()`
`void` | `setComponents(ModelObject[] comps)`
`void` | `setContact(java.lang.String name)`
`void` | `setContainingSystem(ITSystem obj)`
`void` | `setName(java.lang.String s)`
`void` | `setURL(java.lang.String s)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`getAssetID, getAssetTag, getCICategory, getConfigLastUpdate, getLastAuditState, getLastAuditTime, getLastLifecycleStateTime, getLifecycleState, getPrimaryOwner, hasAssetID, hasAssetTag, hasCICategory, hasConfigLastUpdate, hasLastAuditState, hasLastAuditTime, hasLastLifecycleStateTime, hasLifecycleState, hasPrimaryOwner, setAssetID, setAssetTag, setCICategory, setConfigLastUpdate, setLastAuditState, setLastAuditTime, setLastLifecycleStateTime, setLifecycleState, setPrimaryOwner`

Method Detail

### getName

    java.lang.String getName()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setName

    void setName(java.lang.String s)

### hasName

    boolean hasName()

### getURL

    java.lang.String getURL()
                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setURL

    void setURL(java.lang.String s)

### hasURL

    boolean hasURL()

### getComponents

    ModelObject[] getComponents()
                                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Federates" reverse="false"

### setComponents

    void setComponents(ModelObject[] comps)

### hasComponents

    boolean hasComponents()

### getContact

    java.lang.String getContact()
                                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setContact

    void setContact(java.lang.String name)

### hasContact

    boolean hasContact()

### getContainingSystem

    ITSystem getContainingSystem()
                                 throws AttributeNotSetException

  If this system is a part of a larger system, the containingSystem attribute shows the larger system of which this is a part. If the system is global, then this attribute does not need to be set.

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="true"

### setContainingSystem

    void setContainingSystem(ITSystem obj)

### hasContainingSystem

    boolean hasContainingSystem()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD